package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.Max;
import javax.validation.constraints.Size;

/**
 * 送检信息对象 inspect_infor
 * 
 * @author boman
 * @date 2021-12-27
 */
public class InspectInfor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 送检ID */
    private Long inspectId;

    /** 样品名称 */
    @Excel(name = "样品名称")
    private String sampleName;

    /** 样品数量 */
    @Excel(name = "样品数量")
    private Long sampleNum;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String normsModel;

    /** 检验项目 */
    @Excel(name = "检验项目")
    private String testItems;

    /** 提供方式 */
    @Excel(name = "提供方式")
    private String provideType;
    /**
     * 取报告方式
     */
    private String takeReportType;
    /**
     * 收件人姓名
     */
    @Size(min = 0, max = 250, message = "长度不能超过250个字符")
    private String takeName;
    /**
     * 收件人手机号
     */
    @Size(min = 0, max = 250, message = "长度不能超过250个字符")
    private String takePhone;
    /**
     * 收件人地址
     */
    @Size(min = 0, max = 250, message = "长度不能超过250个字符")
    private String takeAddress;
    /**
     * 样品处理方式
     */
    private String handleType;


    /** 送检单位名称 */
    @Excel(name = "生产单位名称")
    private String manufacturerName;

    /** 送检单位电话 */
    @Excel(name = "生产单位电话")
    private String manufacturerPhone;

    /** 委托单位名称 */
    @Excel(name = "受检单位名称")
    private String inspectedName;

    /** 委托单位电话 */
    @Excel(name = "受检单位电话")
    private String inspectedPhone;
    /**
     * 是否未生成报告
     */
    @Excel(name = "是否未生成报告", readConverterExp = "N=生成,Y=未生成")
    private String isReport;

    /** 是否删除（N正常 Y删除） */
    @Excel(name = "是否删除", readConverterExp = "N=正常,Y=删除")
    private String isDel;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getTakeReportType() {
        return takeReportType;
    }

    public void setTakeReportType(String takeReportType) {
        this.takeReportType = takeReportType;
    }

    public String getTakeName() {
        return takeName;
    }

    public void setTakeName(String takeName) {
        this.takeName = takeName;
    }

    public String getTakePhone() {
        return takePhone;
    }

    public void setTakePhone(String takePhone) {
        this.takePhone = takePhone;
    }

    public String getTakeAddress() {
        return takeAddress;
    }

    public void setTakeAddress(String takeAddress) {
        this.takeAddress = takeAddress;
    }

    public String getHandleType() {
        return handleType;
    }

    public void setHandleType(String handleType) {
        this.handleType = handleType;
    }

    public String getIsReport() {
        return isReport;
    }

    public void setIsReport(String isReport) {
        this.isReport = isReport;
    }

    public void setInspectId(Long inspectId)
    {
        this.inspectId = inspectId;
    }

    public Long getInspectId() 
    {
        return inspectId;
    }
    public void setSampleName(String sampleName) 
    {
        this.sampleName = sampleName;
    }

    public String getSampleName() 
    {
        return sampleName;
    }
    public void setSampleNum(Long sampleNum) 
    {
        this.sampleNum = sampleNum;
    }

    public Long getSampleNum() 
    {
        return sampleNum;
    }
    public void setNormsModel(String normsModel) 
    {
        this.normsModel = normsModel;
    }

    public String getNormsModel() 
    {
        return normsModel;
    }
    public void setTestItems(String testItems) 
    {
        this.testItems = testItems;
    }

    public String getTestItems() 
    {
        return testItems;
    }
    public void setProvideType(String provideType) 
    {
        this.provideType = provideType;
    }

    public String getProvideType() 
    {
        return provideType;
    }
    public void setManufacturerName(String manufacturerName) 
    {
        this.manufacturerName = manufacturerName;
    }

    public String getManufacturerName() 
    {
        return manufacturerName;
    }
    public void setManufacturerPhone(String manufacturerPhone) 
    {
        this.manufacturerPhone = manufacturerPhone;
    }

    public String getManufacturerPhone() 
    {
        return manufacturerPhone;
    }
    public void setInspectedName(String inspectedName) 
    {
        this.inspectedName = inspectedName;
    }

    public String getInspectedName() 
    {
        return inspectedName;
    }
    public void setInspectedPhone(String inspectedPhone) 
    {
        this.inspectedPhone = inspectedPhone;
    }

    public String getInspectedPhone() 
    {
        return inspectedPhone;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("inspectId", getInspectId())
            .append("sampleName", getSampleName())
            .append("sampleNum", getSampleNum())
            .append("normsModel", getNormsModel())
            .append("testItems", getTestItems())
            .append("provideType", getProvideType())
            .append("manufacturerName", getManufacturerName())
            .append("manufacturerPhone", getManufacturerPhone())
            .append("inspectedName", getInspectedName())
            .append("inspectedPhone", getInspectedPhone())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
